AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get settlements

List settlements paid to your account.

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/settlements

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

page int 32
The page of the data to retrieve e.g. setting 1 retrieves the first page

from string
This is the specified date to start the data query from. It should take a YYYY-MM-DD format.

to string
This is the specified end date for the data query. It should take a YYYY-MM-DD format.

subaccount_id string
The subaccount ID to query settlement logs for. This is returned as subaccount_id when creating a subaccount.

disburse_ref string
The disbursement reference ID to filter settlement logs by. This unique identifier is returned when a disbursement is initiated and can be used to track specific settlement transactions.

FILL IN ALL REQUIRED FIELDS

status string

message string

meta object

FILL IN ALL REQUIRED FIELDS

page_info object

FILL IN ALL REQUIRED FIELDS

total integer

current_page integer

total_pages integer

page_size integer

data array of objects

FILL IN ALL REQUIRED FIELDS

id integer

account_id integer

merchant_name string

merchant_email string

settlement_account string

bank_code string

transaction_date string

due_date string

processed_date string

status string

is_local boolean

currency string

gross_amount number

app_fee number

merchant_fee integer

chargeback integer

refund integer

stampduty_charge integer

net_amount integer

transaction_count integer

processor_ref string

disburse_ref string

disburse_message string

channel string

destination string

fx_data string

flag_message string

source_bankcode string

created_at string

meta array of objects

FILL IN ALL REQUIRED FIELDS

refund_meta array of objects

FILL IN ALL REQUIRED FIELDS

chargeback_meta array of objects

FILL IN ALL REQUIRED FIELDS

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

2026 © Flutterwave

SupportStatus
Get API Keys